[ 
https://issues.apache.org/jira/browse/HBASE-20556?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16479980#comment-16479980
 ] 

Tak Lon (Stephen) Wu edited comment on HBASE-20556 at 5/18/18 1:22 AM:
-----------------------------------------------------------------------

I submitted another patch for fixing the checkstyle problem, however, I found 
the failures in 
[complie|https://builds.apache.org/job/PreCommit-HBASE-Build/12854/artifact/patchprocess/patch-compile-hbase-server-jdk1.7.0_181.txt]
 and 
[unit|https://builds.apache.org/job/PreCommit-HBASE-Build/12854/artifact/patchprocess/patch-unit-hbase-server.txt]
 logs should not be related.
 # in 
[complie|https://builds.apache.org/job/PreCommit-HBASE-Build/12854/artifact/patchprocess/patch-compile-hbase-server-jdk1.7.0_181.txt]
 logs, a very strange error jdk 7 incompatible with jdk 8 of 
`maven-compiler-plugin:3.6.1:compile: java.lang.UnsupportedClassVersionError: 
javax/tools/DiagnosticListener : Unsupported major.minor version 52.0`. I found 
other JIRAs that works on branch-1 has the same issue, did the maven version 
(3.6.1)  has any problem with jdk 7 ?? or in the pom.xml (I didn't touch that) 
has any issue with jdk 7 ? this also happened on the local compile as well
 # in 
[unit|https://builds.apache.org/job/PreCommit-HBASE-Build/12854/artifact/patchprocess/patch-unit-hbase-server.txt]
 log, all unit tests completed but at the end of the test process, I saw a lots 
of `ExecutionException The forked VM terminated without properly saying 
goodbye. VM crash or System.exit called?` I found this [surefire 
faq|http://maven.apache.org/surefire/maven-surefire-plugin/faq.html] and said 
system.exit() at any time is not supported (I also found some other JIRAs that 
works on branch-1 has this issue). So those Test classes called system.exit() 
should not be related to this change, but just be curious, does anyone know how 
to get it thru?


was (Author: taklwu):
I submitted another patch for fixing the style, however, I found the failures 
in 
[complie|https://builds.apache.org/job/PreCommit-HBASE-Build/12854/artifact/patchprocess/patch-compile-hbase-server-jdk1.7.0_181.txt]
 and 
[unit|https://builds.apache.org/job/PreCommit-HBASE-Build/12854/artifact/patchprocess/patch-unit-hbase-server.txt]
 logs should not be related.
 # in 
[complie|https://builds.apache.org/job/PreCommit-HBASE-Build/12854/artifact/patchprocess/patch-compile-hbase-server-jdk1.7.0_181.txt]
 logs, a very strange error jdk 7 incompatible with jdk 8 of 
`maven-compiler-plugin:3.6.1:compile: java.lang.UnsupportedClassVersionError: 
javax/tools/DiagnosticListener : Unsupported major.minor version 52.0`. I found 
other JIRAs that works on branch-1 has the same issue, did the maven version 
(3.6.1)  has any problem with jdk 7 ?? or in the pom.xml (I didn't touch that) 
has any issue with jdk 7 ? this also happened on the local compile as well
 # in 
[unit|https://builds.apache.org/job/PreCommit-HBASE-Build/12854/artifact/patchprocess/patch-unit-hbase-server.txt]
 log, all unit tests completed but at the end of the test process, I saw a lots 
of `ExecutionException The forked VM terminated without properly saying 
goodbye. VM crash or System.exit called?` I found this [surefire 
faq|http://maven.apache.org/surefire/maven-surefire-plugin/faq.html] and said 
system.exit() at any time is not supported (I also found some other JIRAs that 
works on branch-1 has this issue). So those Test classes called system.exit() 
should not be related to this change, but just be curious, does anyone know how 
to get it thru?

> Backport HBASE-16490 to branch-1
> --------------------------------
>
>                 Key: HBASE-20556
>                 URL: https://issues.apache.org/jira/browse/HBASE-20556
>             Project: HBase
>          Issue Type: Sub-task
>          Components: HFile, snapshots
>    Affects Versions: 1.4.4, 1.4.5
>            Reporter: Tak Lon (Stephen) Wu
>            Assignee: Tak Lon (Stephen) Wu
>            Priority: Major
>         Attachments: HBASE-20556.branch-1.001.patch, 
> HBASE-20556.branch-1.002.patch, HBASE-20556.branch-1.003.patch
>
>
> As part of HBASE-20555, HBASE-16490 is the first patch that is needed for 
> backporting HBASE-18083



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to